summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--development/smartsvn/README2
-rw-r--r--development/smartsvn/doinst.sh3
-rw-r--r--development/smartsvn/slack-desc19
-rw-r--r--development/smartsvn/smartsvn.SlackBuild71
-rw-r--r--development/smartsvn/smartsvn.desktop24
-rw-r--r--development/smartsvn/smartsvn.info10
6 files changed, 129 insertions, 0 deletions
diff --git a/development/smartsvn/README b/development/smartsvn/README
new file mode 100644
index 0000000000..35ac0aeab9
--- /dev/null
+++ b/development/smartsvn/README
@@ -0,0 +1,2 @@
+SmartSvn is a commercial desktop svn client that provides trial edition for
+a limited time (31 days)
diff --git a/development/smartsvn/doinst.sh b/development/smartsvn/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/development/smartsvn/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/development/smartsvn/slack-desc b/development/smartsvn/slack-desc
new file mode 100644
index 0000000000..873ac2cc51
--- /dev/null
+++ b/development/smartsvn/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+smartsvn: smartsvn (Desktop SVN Client)
+smartsvn:
+smartsvn: SmartSvn is a commercial desktop svn client that provides
+smartsvn: trial edition for a limited time (31 days)
+smartsvn:
+smartsvn: Homepage: http://www.smartsvn.com/
+smartsvn:
+smartsvn:
+smartsvn:
+smartsvn:
+smartsvn:
diff --git a/development/smartsvn/smartsvn.SlackBuild b/development/smartsvn/smartsvn.SlackBuild
new file mode 100644
index 0000000000..ce8fef772d
--- /dev/null
+++ b/development/smartsvn/smartsvn.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware Package Build Script for SmartSvn
+# Copyright 2014 Miguel De Anda
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="smartsvn"
+VERSION=${VERSION:-8.5.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+#they use _ instead of periods...
+FILE_VERSION=${VERSION//./_}
+
+set -e
+
+rm -rf $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-linux-$FILE_VERSION.tar.gz
+cd $PRGNAM-$FILE_VERSION
+chown -R root.root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -R changelog.txt license.html readme-linux.txt smartsvn.url licenses \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -R lib bin dictionaries $PKG/usr/share/$PRGNAM
+
+mkdir -p $PKG/usr/share/pixmaps
+cp bin/$PRGNAM-128.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/share/applications
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/smartsvn/smartsvn.desktop b/development/smartsvn/smartsvn.desktop
new file mode 100644
index 0000000000..eb998e74e9
--- /dev/null
+++ b/development/smartsvn/smartsvn.desktop
@@ -0,0 +1,24 @@
+[Desktop Entry]
+Version=1.0
+Encoding=UTF-8
+Name=SmartSVN
+Keywords=svn;subversion
+GenericName=SVN Client
+Type=Application
+Categories=Development;RevisionControl
+Terminal=false
+StartupNotify=true
+Exec="/usr/share/smartsvn/bin/smartsvn.sh" %f
+MimeType=x-directory/normal
+Icon=smartsvn
+X-Ayatana-Desktop-Shortcuts=NewWindow;RepositoryBrowser
+
+[NewWindow Shortcut Group]
+Name=Open a New Window
+Exec="/usr/share/smartsvn/bin/smartsvn.sh"
+TargetEnvironment=Unity
+
+[RepositoryBrowser Shortcut Group]
+Name=Open the Repository Browser
+Exec="/usr/share/smartsvn/bin/smartsvn.sh" --repository-browser
+TargetEnvironment=Unity
diff --git a/development/smartsvn/smartsvn.info b/development/smartsvn/smartsvn.info
new file mode 100644
index 0000000000..be78f705f9
--- /dev/null
+++ b/development/smartsvn/smartsvn.info
@@ -0,0 +1,10 @@
+PRGNAM="smartsvn"
+VERSION="8.5.3"
+HOMEPAGE="http://www.smartsvn.com/"
+DOWNLOAD="http://www.wandisco.com/get?f=smartsvn/smartsvn-linux-8_5_3.tar.gz"
+MD5SUM="f72fc9d1d502003541eaa8963f5c63e3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jdk"
+MAINTAINER="Miguel De Anda"
+EMAIL="miguel@thedeanda.com"